Bug 231537 - (CVE-2007-1216) CVE-2007-1216 krb5 double free flaw
CVE-2007-1216 krb5 double free flaw
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: krb5 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-03-08 16:20 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0095
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-03 14:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed upstream patch (2.52 KB, patch)
2007-03-08 16:24 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2007-03-08 16:20:55 EST
The MIT Kerberos Team has informed us of a double free flaw in krb5.  An
authenticated user could leverage this flaw to execute arbitrary code
with the permissions the kadmind process.
Comment 2 Josh Bressers 2007-03-08 16:24:22 EST
Created attachment 149639 [details]
Proposed upstream patch
Comment 3 Josh Bressers 2007-03-08 16:28:07 EST
This flaw should also affect RHEL2.1, 3, and 4
Comment 6 Mark J. Cox 2007-04-03 14:08:34 EDT
now public, removing embargo

Note a double-free flaw is not exploitable on RHEL4 or RHEL5.
Comment 7 Red Hat Bugzilla 2007-04-03 14:22:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.